gdcm::SegmentReader Class Reference

This class defines a segment reader. More...

`#include <gdcmSegmentReader.h>`

Inheritance diagram for gdcm::SegmentReader:
[legend]
Collaboration diagram for gdcm::SegmentReader:
[legend]

## Public Types

typedef std::vector< SmartPointer< Segment > > | SegmentVector

## Public Member Functions

| SegmentReader ()
| ~SegmentReader () override
SegmentVector | GetSegments ()
SegmentVector | GetSegments () const
bool | Read () override
| Read.
Public Member Functions inherited from gdcm::Reader
| Reader ()
virtual | ~Reader ()
bool | CanRead () const
File & | GetFile ()
| Set/Get File.
const File & | GetFile () const
| Set/Get File.
size_t | GetStreamCurrentPosition () const
bool | ReadSelectedPrivateTags (std::set< PrivateTag > const &ptags, bool readvalues=true)
| Will only read the specified selected private tags.
bool | ReadSelectedTags (std::set< Tag > const &tags, bool readvalues=true)
| Will only read the specified selected tags.
bool | ReadUpToTag (const Tag &tag, std::set< Tag > const &skiptags=std::set< Tag >())
void | SetFile (File &file)
| Set/Get File.
void | SetFileName (const char *filename_native)
void | SetStream (std::istream &input_stream)
| Set the open-ed stream directly.

## Protected Types

typedef std::map< unsigned long, SmartPointer< Segment > > | SegmentMap

## Protected Member Functions

bool | ReadSegment (const Item &segmentItem, const unsigned int idx)
bool | ReadSegments ()
Protected Member Functions inherited from gdcm::Reader
std::istream * | GetStreamPtr () const
bool | ReadDataSet ()
bool | ReadMetaInformation ()
bool | ReadPreamble ()

## Protected Attributes

SegmentMap | Segments
Protected Attributes inherited from gdcm::Reader
SmartPointer< File > | F

## Detailed Description

This class defines a segment reader.

It reads attributes of group 0x0062.

See also
  PS 3.3 C.8.20.2 and C.8.23

## Member Typedef Documentation

## SegmentMap

typedef std::map< unsigned long, SmartPointer< Segment > > gdcm::SegmentReader::SegmentMap

protected

## SegmentVector

typedef std::vector< SmartPointer< Segment > > gdcm::SegmentReader::SegmentVector

## Constructor & Destructor Documentation

## SegmentReader()

gdcm::SegmentReader::SegmentReader | ( |  | ) |

## ~SegmentReader()

gdcm::SegmentReader::~SegmentReader | ( |  | ) |

override

## Member Function Documentation

## GetSegments() [1/2]

SegmentVector gdcm::SegmentReader::GetSegments | ( |  | ) |

## GetSegments() [2/2]

SegmentVector gdcm::SegmentReader::GetSegments | ( |  | ) | const

## Read()

bool gdcm::SegmentReader::Read | ( |  | ) |

override virtual

Read.

Reimplemented from gdcm::Reader.

Reimplemented in gdcm::SurfaceReader.

## ReadSegment()

bool gdcm::SegmentReader::ReadSegment | ( | const Item & | segmentItem,
|  | const unsigned int | idx )

protected

## ReadSegments()

bool gdcm::SegmentReader::ReadSegments | ( |  | ) |

protected

## Member Data Documentation

## Segments

SegmentMap gdcm::SegmentReader::Segments

protected

The documentation for this class was generated from the following file:

- gdcmSegmentReader.h